package de.intevation.flys.client.server.auth;

import java.util.List;

/**
 * User representation after a succesfull login
 */
public interface User {

    /**
     * Returns the username as String
     */
    public String getName();

    /**
     * Returns the password of the user as String
     */
    public String getPassword();

    /**
     * Returns True if the authentication for the user
     * has expired.
     */
    public boolean hasExpired();

    /**
     * Returns a list of roles corresponsing the the user
     */
    public List<String> getRoles();
}
// vim:set ts=4 sw=4 si et fenc=utf8 tw=80:
